Name: xorg-cf-files
Version: 1.0.2
Release: alt1

Summary: config files for Xorg build
License: MIT/X11
Group: Development/C

Url: http://xorg.freedesktop.org
Source: %name-%version.tar.bz2

Packager: XOrg Maintainer Team <xorg@packages.altlinux.org>

BuildRequires: xorg-x11-util-macros

%description
Config files for Xorg build

%prep
%setup -q

%build
%__autoreconf
%configure \
	--with-config-dir=%_datadir/X11/config
%make

%install
%make DESTDIR=%buildroot install

cat > %buildroot%_datadir/X11/config/host.def << EOF
#define XFree86CustomVersion	"ALT Linux build: 7.0.0"
#define BuilderString		"Build Host: %(hostname)\n"

#define XFree86RedHatCustom	YES
#define BootstrapCFlags		$RPM_OPT_FLAGS
#define DefaultGcc2i386Opt	$RPM_OPT_FLAGS -fno-strength-reduce GccAliasingArgs -pipe
#define DefaultGcc2x86_64Opt	$RPM_OPT_FLAGS -fno-strength-reduce GccAliasingArgs -pipe
#define DefaultGcc2AxpOpt	$RPM_OPT_FLAGS -Wa,-m21164a GccAliasingArgs -pipe
#define DefaultGcc2PpcOpt	$RPM_OPT_FLAGS GccAliasingArgs -pipe

#define ConfigDir		%_datadir/X11/config
#define X11ProjectRoot		%_prefix
#define ProjectRoot		%_prefix
#define XBinDir			%_bindir
#define BinDir			%_bindir
#define XUsrLibDirPath		%_libdir
#define UsrLibDir		%_libdir
#define LibDir			%_datadir/X11
#define IncRoot			%_includedir
#define ManDirectoryRoot	%_mandir
#define AdmDir			%_logdir
#define LbxproxyDir		%_sysconfdir/X11/lbxproxy
#define ProxyManagerDir		%_sysconfdir/X11/proxymngr
#define ServerConfigDir		%_sysconfdir/X11/xserver
#define XdmDir			%_sysconfdir/X11/xdm
#define XConfigDir		%_sysconfdir/X11
#define XinitDir		%_sysconfdir/X11/xinit
#define EtcX11Directory		%_sysconfdir/X11
#define XAppLoadDir		%_sysconfdir/X11/app-defaults
#define XPrintDir		%_sysconfdir/X11/xprint
#define DefaultRGBDatabase	%_datadir/X11/rgb
#define DefaultFSConfigFile	%_sysconfdir/X11/fs/config
#define FontDir			%_datadir/X11/fonts

#define XOrgNameString		ALTLinux X.Org Maintainer Team
#define XOrgWebSupportAddress	https://bugzilla.altlinux.org
#define BuilderEMailAddr	"xorg@packages.altlinux.org"

#define BuildHtmlManPages       NO
#define ManSuffix		1
#define LibManSuffix		3
#define DriverManSuffix		4
#define FileManSuffix		5
#define MiscManSuffix		7

EOF

%files
%_datadir/X11/config

%changelog
* Fri Feb 23 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.0.2-alt1
- 1.0.2

* Tue Feb 07 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.0.1-alt5
- set LibDir to %_datadir/X11 (fixed #9030)

* Tue Feb 07 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.0.1-alt4
- set DefaultFSConfigFile to %_sysconfdir/X11/fs/config, FontDir to %_datadir/X11/fonts (#9030)

* Tue Jan 31 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.0.1-alt3
- set DefaultRGBDatabase to %_datadir/X11/rgb

* Tue Jan 03 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.0.1-alt2
- set X11ProjectRoot to %_prefix

* Thu Dec 29 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.0.1-alt1
- Xorg-7.0

* Mon Nov 21 2005 Valery Inozemtsev <shrek@altlinux.ru> 0.99.2-alt0.1
- initial release

